Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187946 - Hints for creating qualifier types
Hints for creating qualifier types
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: CDI
6.x
PC Linux
: P3 (vote)
: TBD
Assigned To: David Konecny
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 13:11 UTC by Erno Mononen
Modified: 2010-08-26 03:23 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2010-06-22 13:11:54 UTC
In an app utilizing CDI it seems common to use custom qualifier types quite a lot. It'd be nice if the IDE offered similar hints for creating them as for normal Java classes. So for example after typing in a non-existing annotation @MyQualifier, a hint for creating a qualifier would be offered and applying that hint would create the qualifier using an appropriate template, such as 

import javax.inject.Qualifier;
... other imports ... 

@Target( { TYPE, METHOD, PARAMETER, FIELD })
@Retention(RUNTIME)
@Documented
@Qualifier
public @interface MyQualifier {
}
Comment 1 Denis Anisimov 2010-08-25 16:10:49 UTC
changeset:   176001:567fb59c2711
user:        Denis Anisimov <ads@netbeans.org>
date:        Wed Aug 25 20:03:04 2010 +0400
summary:     Fix for BZ#187946 -  Hints for creating qualifier types
Comment 2 Quality Engineering 2010-08-26 03:23:18 UTC
Integrated into 'main-golden', will be available in build *201008260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/567fb59c2711
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#187946 -  Hints for creating qualifier types


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo